GOTSYS(1)

NAME
gotsys - manage gotsys.conf(5)

SYNOPSIS
gotsys [-hV] command [arg ...]

DESCRIPTION
gotsys performs tasks involving the gotsys.conf(5) configuration file consumed by gotsysd(8).

The options for gotsys are as follows:

-h  Display usage information and exit immediately.

-V, --version
    Display program version and exit immediately.

The commands for gotsys are as follows:

apply [-c commit] [-f socket] [-r repository-path] [-w] [file]
    Trigger system configuration tasks based on the gotsys.conf(5) configuration file found in the gotsysd(8) system repository. If no file argument is specified, the file path gotsys.conf will be used.

    Usually, gotd(8) will trigger system configuration tasks whenever a new version of gotsys.conf(5) is sent to the gotsysd(8) system repository. If system configuration fails or causes problems for any reason, system administrators with shell access to the server can use gotsys apply to reconfigure the system back into a working state.

    gotsys apply requires on-disk read access to the gotsysd(8) system repository, as well as access to the gotsysd(8) unix socket. By default, only the root and _gotd users have the required access permissions.

    The options for gotsys apply are as follows:

    -c commit
        Obtain the gotsys.conf(5) configuration file from the specified commit.

        The expected commit argument is a commit ID, or a reference name or a keyword which will be resolved to a commit ID. An abbreviated hash argument will be expanded to a full commit ID automatically, provided the abbreviation is unique.

        If no commit is specified, a commit corresponding to the repository's HEAD reference will be used.

    -f socket
        Set the path to the unix socket which gotsysd(8) is listening on. If not specified, the path /var/run/gotsysd.sock will be used.

    -r repository-path
        Use the repository at the specified path. If not specified, the repository path /git/gotsys.git will be used.

    -w  Wait until gotsysd(8) is done trying to apply the configuration and report the result.

check [-q] [-f file]
    Read a gotsys.conf(5) configuration file and report any errors. If no file is specified, the file gotsys.conf in the current working directory will be read.

    gotsys check is intended to be used by administrators who manage a gotd(8) server remotely by committing changes to gotsys.conf(5). Files which do not pass gotsys check will be rejected by the server. Running gotsys check before committing changes to gotsys.conf(5) is therefore recommended.

    The options for gotsys check are as follows:

    -f file
        The path to the configuration file to read. A hyphen (-) can be used to read standard input: gotsys check -f -

    -q  Stay silent on standard output. Only report errors.

EXIT STATUS

SEE ALSO
gotsys.conf(5), gotd(8), gotsysd(8)

AUTHORS
Stefan Sperling <stsp@openbsd.org>